Fusão de paredes

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch MergeWalls and the translation is 31% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский
Arrow-left.svg Previous: Arch CloseHoles.svg Fechar furos
Next: Verifique Arch Check.svg Arrow-right.svg

Arch MergeWalls.svg Arch MergeWalls

Menu location
Arch → Utilities → Merge Walls
Workbenches
Arch
Default shortcut
None
Introduced in version
-
See also
Arch Wall

Descrição

The MergeWalls tool fuses two or more selected Arch Wall.svg Arch Walls.

Utilização

  1. Select two or more walls.
  2. Press the Arch MergeWalls.svg button, or use the ArchUtilitiesArch MergeWalls.svg Merge Walls from the top menu.

Propriedades

Limitations

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

base = joinWalls(walls, delete=False)

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
FreeCAD.ActiveDocument.recompute() 

base = Arch.joinWalls([Wall1, Wall2])


Arrow-left.svg Previous: Arch CloseHoles.svg Fechar furos
Next: Verifique Arch Check.svg Arrow-right.svg